/**
  *  \file client/cm-prefix.h
  */
#ifndef PCC_V2_CLIENT_CM_PREFIX_H
#define PCC_V2_CLIENT_CM_PREFIX_H

#include "client/chartmode.h"
#include "ui/prefix.h"

class WPrefixChartMode : public WSimpleChartMode {
    UIPrefixArgInput inp;
    bool blink;                 ///< Cursor blink state.
    int  blink_count;           ///< Cursor blink timer divider.
    
 private:
    WPrefixChartMode(int value);
 public:
    ~WPrefixChartMode();
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);

    static void startPrefixArg(WChartModeList& chart_modes, int value);
};

#endif
